{ lib, pkgs, config,  ... }:
let
  cfg = config.myServices.websites.immae.production;
  varDir = "/var/lib/buildbot/outputs/immaeEu";
  coursDir = "/var/lib/buildbot/outputs/cours";
  rechercheDir = "/var/lib/buildbot/outputs/recherche";
  env = config.myEnv.websites.immae;
in {
  options.myServices.websites.immae.production.enable = lib.mkEnableOption "enable Immae's website";

  config = lib.mkIf cfg.enable {
    services.webstats.sites = [ { name = "www.immae.eu"; } ];

    services.websites.env.production.vhostConfs.immae = {
      certName    = "eldiron";
      addToCerts  = true;
      hosts       = [ "www.immae.eu" ];
      root        = varDir;
      extraConfig = [
        ''
        Use Stats www.immae.eu

        <Directory ${varDir}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride All
          Require all granted
        </Directory>

        Alias /cours ${coursDir}
        <Directory ${coursDir}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride All
          Require all granted
        </Directory>

        Alias /recherche ${rechercheDir}
        <Directory ${rechercheDir}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride All
          Require all granted
        </Directory>
        ''
      ];
    };

    services.websites.env.production.vhostConfs.bouya = {
      certName    = "eldiron";
      addToCerts  = true;
      hosts       = [ "bouya.org" "www.bouya.org" ];
      root        = null;
      extraConfig = [ ''
        RedirectMatch 301 ^/((?!\.well-known.*$).*)$ https://www.normalesup.org/~bouya/
        '' ];
    };
  };
}
